Printable version

Drivers & software

* RECOMMENDED * Smart Update Tools for VMware ESXi (Gen9/Gen8)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Application - System Management
Version: 2.0.0.0(12 Jul 2017)
Operating System(s): Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
VMware vSphere 5.1
VMware vSphere 5.5
VMware vSphere 6.0
VMware vSphere 6.5
File name: sutesxi-2.0.0-29.linux.x86_64.rpm (14 MB)
Smart Update Tools for VMware ESXi (SUT) is an application that enables remote firmware and software deployment to HPE OneView managed servers running supported VMware ESXi operating systems via the iLO management network using the server’s local administrator credentials. SUT is delivered as a Linux rpm that runs as a service on a RHEL 6 or 7 server. SUT requires a Service Pack for ProLiant (SPP) based ISO containing Smart Update Manager (SUM) 7.4.0 or later, iLO 4 firmware version 2.30 or later, and an iLO Advanced Pack license for deployment.

See the SUT Release Notes for information about the enhancements in this release.

Prerequisites:

For prerequisite information, please see the SUT Release Notes.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

d87de9fa34ac505c44b0c2aad263745e6398ff9237fd1d2aad1716be1db561e3 sutesxi-2.0.0-29.linux.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

  1. Download sutesxi-2.0.0-<xxx>.linux.x86_64.rpm to a directory on your hard drive.
  2. Change to that directory.
  3. Install by typing "rpm -Uvh sutesxi-2.0.0-<xxx>.linux.x86_64.rpm".

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

Please note the following:

SUT requires an SPP-based ISO containing SUM 7.4.0 or later. If an earlier version of SUM is used, SUT will notify the user that SUM 7.4.0 and later is required.

SUT will only service HPE ProLiant Gen 8 and Gen 9 servers.

SUT requires iLO 4 firmware version 2.30 or later to be installed on the server.

SUT for VMware ESXi needs to be installed on a server running RHEL 6 or 7, which will then deploy remotely to the servers to be updated that are running a supported VMware operating system.

Please see the SUT Release Notes for additional information.


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the issues resolved in this release.

Please note the following:

SUT requires an SPP-based ISO containing SUM 7.4.0 or later. If an earlier version of SUM is used, SUT will notify the user that SUM 7.4.0 and later is required.

SUT will only service HPE ProLiant Gen 8 and Gen 9 servers.

SUT requires iLO 4 firmware version 2.30 or later to be installed on the server.

SUT for VMware ESXi needs to be installed on a server running RHEL 6 or 7, which will then deploy remotely to the servers to be updated that are running a supported VMware operating system.

Please see the SUT Release Notes for additional information.

Version:2.4.0.0 (9 Apr 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the enhancements in this release


Version:2.3.6.0 (22 Nov 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the enhancements in this release


Version:2.3.0.0 (4 Jun 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the enhancements in this release

Enhancements

See the SUT Release Notes for information about the enhancements in this release


Version:2.2.0.0 (7 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Schedule details were getting updated only every 5 minutes. Fixed to update upon user request.
Rebooting the ESXi server by sending reboot request to vCenter.
Optimizations to reuse and reduce sessions created with OneView.

Enhancements

Number of ESXi nodes updated in a batch is increased to 20.
Enablement of specifying the AD credentials and domain from SUT CLI.


Version:2.0.1.0 (21 Aug 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed an issue where firmware deployment operation requested by OneView for ESXi hosts fails while using Service Pack for ProLiant containing versions lower than SUM 8.0.0.

 


Version:2.0.0.0 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the issues resolved in this release.

Enhancements

See the SUT Release Notes for information about the enhancements in this release.


Version:1.0.2.0 (16 Feb 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT for VMware ESXi 1.0.2:

  • Enabled firmware and drivers updates if more than 32 servers are being managed by HPE One View
    • Please read Customer Advisory c05361151, "HPE OneView - Firmware and Drivers Being Updated Using Smart Update Tools (SUT) for VMware ESXi Will Not Be Successful if More Than 32 Servers Are Being Managed by HPE OneView" for more information.
  • Updated to OpenSSL 1.02j

Version:1.0.1.0 (18 Nov 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT for VMware ESXi 1.0.1:

  • Enabled user to reset different vCenter address and credentials
  • Enabled FQDN support for management host and vCenter host
  • Enabled consistency in reporting of the Smart Update Tools for ESXi version between SUT status command and HPE OneView
  • Enabled rebooting a server running a VMware ESXi operating system using IPV6 protocol after the server has been updated
  • Corrected the component count reported with the Status command
  • Updated HPE OneView with server reboot information after the server update has completed
Enhancements

Enhancements for HP SUT for VMware ESXi 1.0.1:

  • Added support for new HPE Synergy Gen9 Compute Modules

Version:1.0.0.0 (4 Feb 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release of HP Smart Update Tools

Please see the HP SUT Release Notes for additional information.


Type: Application - System Management
Version: 2.0.0.0(12 Jul 2017)
Operating System(s):
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
VMware vSphere 5.1
VMware vSphere 5.5
VMware vSphere 6.0
VMware vSphere 6.5

Description

Smart Update Tools for VMware ESXi (SUT) is an application that enables remote firmware and software deployment to HPE OneView managed servers running supported VMware ESXi operating systems via the iLO management network using the server’s local administrator credentials. SUT is delivered as a Linux rpm that runs as a service on a RHEL 6 or 7 server. SUT requires a Service Pack for ProLiant (SPP) based ISO containing Smart Update Manager (SUM) 7.4.0 or later, iLO 4 firmware version 2.30 or later, and an iLO Advanced Pack license for deployment.

Enhancements

See the SUT Release Notes for information about the enhancements in this release.

Installation Instructions

Prerequisites:

For prerequisite information, please see the SUT Release Notes.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

d87de9fa34ac505c44b0c2aad263745e6398ff9237fd1d2aad1716be1db561e3 sutesxi-2.0.0-29.linux.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

  1. Download sutesxi-2.0.0-<xxx>.linux.x86_64.rpm to a directory on your hard drive.
  2. Change to that directory.
  3. Install by typing "rpm -Uvh sutesxi-2.0.0-<xxx>.linux.x86_64.rpm".

Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

Please note the following:

SUT requires an SPP-based ISO containing SUM 7.4.0 or later. If an earlier version of SUM is used, SUT will notify the user that SUM 7.4.0 and later is required.

SUT will only service HPE ProLiant Gen 8 and Gen 9 servers.

SUT requires iLO 4 firmware version 2.30 or later to be installed on the server.

SUT for VMware ESXi needs to be installed on a server running RHEL 6 or 7, which will then deploy remotely to the servers to be updated that are running a supported VMware operating system.

Please see the SUT Release Notes for additional information.


Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the issues resolved in this release.

Important

Please note the following:

SUT requires an SPP-based ISO containing SUM 7.4.0 or later. If an earlier version of SUM is used, SUT will notify the user that SUM 7.4.0 and later is required.

SUT will only service HPE ProLiant Gen 8 and Gen 9 servers.

SUT requires iLO 4 firmware version 2.30 or later to be installed on the server.

SUT for VMware ESXi needs to be installed on a server running RHEL 6 or 7, which will then deploy remotely to the servers to be updated that are running a supported VMware operating system.

Please see the SUT Release Notes for additional information.

Revision History

Version:2.4.0.0 (9 Apr 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the enhancements in this release


Version:2.3.6.0 (22 Nov 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the enhancements in this release


Version:2.3.0.0 (4 Jun 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the enhancements in this release

Enhancements

See the SUT Release Notes for information about the enhancements in this release


Version:2.2.0.0 (7 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Schedule details were getting updated only every 5 minutes. Fixed to update upon user request.
Rebooting the ESXi server by sending reboot request to vCenter.
Optimizations to reuse and reduce sessions created with OneView.

Enhancements

Number of ESXi nodes updated in a batch is increased to 20.
Enablement of specifying the AD credentials and domain from SUT CLI.


Version:2.0.1.0 (21 Aug 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixed an issue where firmware deployment operation requested by OneView for ESXi hosts fails while using Service Pack for ProLiant containing versions lower than SUM 8.0.0.

 


Version:2.0.0.0 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the SUT Release Notes for information about the issues resolved in this release.

Enhancements

See the SUT Release Notes for information about the enhancements in this release.


Version:1.0.2.0 (16 Feb 2017)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT for VMware ESXi 1.0.2:

  • Enabled firmware and drivers updates if more than 32 servers are being managed by HPE One View
    • Please read Customer Advisory c05361151, "HPE OneView - Firmware and Drivers Being Updated Using Smart Update Tools (SUT) for VMware ESXi Will Not Be Successful if More Than 32 Servers Are Being Managed by HPE OneView" for more information.
  • Updated to OpenSSL 1.02j

Version:1.0.1.0 (18 Nov 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT for VMware ESXi 1.0.1:

  • Enabled user to reset different vCenter address and credentials
  • Enabled FQDN support for management host and vCenter host
  • Enabled consistency in reporting of the Smart Update Tools for ESXi version between SUT status command and HPE OneView
  • Enabled rebooting a server running a VMware ESXi operating system using IPV6 protocol after the server has been updated
  • Corrected the component count reported with the Status command
  • Updated HPE OneView with server reboot information after the server update has completed
Enhancements

Enhancements for HP SUT for VMware ESXi 1.0.1:

  • Added support for new HPE Synergy Gen9 Compute Modules

Version:1.0.0.0 (4 Feb 2016)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release of HP Smart Update Tools

Please see the HP SUT Release Notes for additional information.


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.